Page MenuHomePhabricator

Create MW API method to process Amazon payments
Closed, ResolvedPublic1 Story Points

Description

Once the donor has chosen a payment method and clicks 'Continue', we should make an AJAX call to a MediaWiki API method to confirm the details of the payment, so if there are any errors we can try to let the user correct them.

This task is done when there is an API endpoint that makes minimal calls to
setOrderReferenceDetails ( with amount, currency, donor message, and order id )
confirmOrderReference ( makes details final, lets user know they initiated a payment )
getOrderReferenceDetails ( gives us donor name and address, checks that status is OK )

Error handling can be handled in another task.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : payWithAmazonAdd Amazon API endpoint

Event Timeline

Ejegg created this task.Aug 5 2015, 9:31 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a project: Fundraising-Backlog.
Ejegg added subscribers: Aklapper, Ejegg.
Ejegg renamed this task from Create MW API method to sign Amazon requests to Create MW API method to process Amazon payments.Aug 11 2015, 9:18 PM
Ejegg updated the task description. (Show Details)
Ejegg set Security to None.
Ejegg edited a custom field.

Change 230940 had a related patch set uploaded (by Ejegg):
Add Amazon API endpoint

https://gerrit.wikimedia.org/r/230940

Ejegg claimed this task.Aug 12 2015, 2:49 PM

Change 230940 merged by jenkins-bot:
Add Amazon API endpoint

https://gerrit.wikimedia.org/r/230940

Ejegg closed this task as Resolved.Aug 19 2015, 10:12 PM